unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  SysUtils, IpHtml, Ipfilebroker, Forms, StdCtrls, LCLType, ClipBrd;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    IpFileDataProvider1: TIpFileDataProvider;
    IpHtmlPanel1: TIpHtmlPanel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;
  MyHtmlText: String;

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.Button1Click(Sender: TObject);
const
  HtmlFormat='HTML Format';
var
  aFormat: TClipBoardFormat;
begin
  Clipboard.Clear;

  aFormat:=ClipBoard.FindFormatID(HtmlFormat);
  if aFormat = 0 then
    aFormat:=RegisterClipBoardFormat(HtmlFormat);

  ClipBoard.AddFormat(aFormat, MyHtmlText[1], Length(MyHtmlText));
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  MyHtmlText:='Version:0.9'+LineEnding+
     'StartHTML:00000000'+LineEnding+
     'EndHTML:00000000'+LineEnding+
     '<html><body>'+LineEnding+
     'Einfaches Beispiel zum Kopieren eines HTML-Textes und Bilder unter Win7'+LineEnding+
     '<br>'+LineEnding+
     '<img src="file:///C:/lazarus/images/powered_by.png" title="" alt="powered_by.png image"'+LineEnding+
     'style="width: 250px; height: 188px;"><br>'+LineEnding+
     '<br>'+LineEnding+
     'und noch ein das splash_logo.png'+LineEnding+
     '<br>'+LineEnding+
     '<img src="file:///C:/lazarus/images/splash_logo.png" title="" alt="splash_logo.png image"'+LineEnding+
     'style="width: 250px; height: 188px;"><br>'+LineEnding+
     '<br>'+LineEnding+
     '<a href="http://www.lazarusforum.de/">Link</a><br>'+LineEnding+
     '</body>'+LineEnding+
     '</html>MyHtmlText';

  MyHtmlText:=StringReplace(MyHtmlText,
    'StartHTML:00000000',
    'StartHTML:'+format('%.8d',[Pos('<html>', MyHtmlText) - 1]),
    []);
  MyHtmlText:=StringReplace(MyHtmlText,
    'EndHTML:00000000',
    'EndHTML:'+format('%.8d',[Length(MyHtmlText)]),
    []);

  IpHtmlPanel1.SetHtmlFromStr(MyHtmlText);
end;

end.

